Walujapi - Is an example of a songline used by indigenious australian people to navigate without maps.

*The Yarralin people of the Victoria River Valley venerate the spirit Walujapi as the Dreaming Spirit of the black-headed python. Walujapi is said to have carved a snakelike track along a cliff-face and deposited an impression of her buttocks when she sat establishing camp*

In our case, Walujapi is the engine which executes user created maps and manages the relevant data for them.